RPC (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class RPC

    java.lang.Object
      org.hyperic.sigar.RPC

    public class RPC

extends java.lang.Object

Field Summary
`static int` | `TCP`
`static int` | `UDP`

Constructor Summary
`RPC()`

Method Summary
`static long` | `getProgram(java.lang.String program)`
`static void` | `main(java.lang.String[] args)`
`static int` | `ping(java.lang.String hostname, int protocol, long program, long version)`
`static int` | `ping(java.lang.String hostname, int protocol, java.lang.String program, long version)`
`static int` | `ping(java.lang.String hostname, long program)`
`static int` | `ping(java.lang.String hostname, java.lang.String program)`
`static java.lang.String` | `strerror(int status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDP

    public static final int UDP

See Also:
  Constant Field Values

### TCP

    public static final int TCP

See Also:
  Constant Field Values

Constructor Detail

### RPC

    public RPC()

Method Detail

### ping

    public static int ping(java.lang.String hostname,
                           int protocol,
                           long program,
                           long version)

### strerror

    public static java.lang.String strerror(int status)

### ping

    public static int ping(java.lang.String hostname,
                           int protocol,
                           java.lang.String program,
                           long version)

### ping

    public static int ping(java.lang.String hostname,
                           long program)

### ping

    public static int ping(java.lang.String hostname,
                           java.lang.String program)

### getProgram

    public static long getProgram(java.lang.String program)

  Returns:
    RPC program number as defined in /etc/rpc

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.